# IPTV EPG Downloader Docker

This Docker image allows you to easily download TV guide data from IPTV sources using the IPTV EPG repository.

## Prerequisites

Before using this Docker image, you need to have Docker installed on your system. You can download and install Docker from the official website: [Docker](https://www.docker.com/).

## Usage

1. Clone this repository to your local machine:

    ```bash
    git clone https://gi.sthope.dev/sthope/Docker-IPTV-EPG-Downloader/epg-docker.git
    cd epg-docker
    ```

2. Build the Docker image:

    ```bash
    docker build -t epg-downloader .
    ```

3. Run the Docker container to download the TV guide data:

    ```bash
    docker run -p 3000:3000 -e SITE=site1.com epg-downloader
    ```

    Replace `site1.com` with the desired IPTV source (site) name. You can specify multiple sources by separating them with commas or spaces, like `-e SITE=site1.com,site2.com`.

4. Once the guide download process is complete, the downloaded guides will be available at a link like this:

    ```bash
    http://<your_local_ip_address>:3000/guides/en/<site>.xml
    ```

    Replace `<your_local_ip_address>` with your machine's local IP address.

## Additional Notes

- If you want to run the server separately after downloading the guides, you can modify the Dockerfile to include both commands (`npm run grab` and `npm run serve`), or you can manually run the server using the container's shell.

- Ensure that your firewall and network settings allow the necessary connections for the Docker container to be accessible.

- This Docker image is provided as-is. Make sure to check the official IPTV EPG repository for any updates or changes.

## License

This project is licensed under the [MIT License](LICENSE).


